.modal-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1000;
  overflow-y: scroll;
  padding: 32px 0;
  -webkit-overflow-scrolling: touch;
  opacity: 0;
  transition: opacity .3s ease-in-out;
  align-items: center;
  justify-content: center;
}

.modal-overlay.is-open {
  opacity: 1;
  display: flex;
}

.modal-content {
  position: relative;
  margin: 0 auto;
  background-color: #fff;
  outline: none;
  border-radius: 4px;
  padding: 0;
  word-wrap: break-word;
  overflow-y: scroll;
  width: 300px;
  max-width: 90%;
  min-height: 200px;
  max-height: 80%;
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, .5);
}

.modal-header {
  padding: 8px;
  position: relative;
  display: flex;
  justify-content: flex-end;
}

.modal-close-btn {
  cursor: pointer;
  height: 36px;
  width: 36px;
}

.modal-body {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0 24px 48px;
}

/* --------------------------------------------------------------------------
   Custom.Badges
   -------------------------------------------------------------------------- */

.badge-modal-body {
  --text-color-active: var(--text-color-main);
  --text-color-normal: #B2AFAF;
}

.badge-modal-title {
  display: none;
  font-size: 18px;
  font-weight: 600;
  text-align: center;
  margin-bottom: 16px;
}

.badge-modal-image {
  width: 120px;
  height: 120px;
}

.badge-modal-progress-indicator {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 24px;
}

.badge-modal-progress-indicator-item {
  padding: 0 8px;
  font-size: 16px;
  font-weight: bold;
  color: var(--text-color-normal);
}

.badge-modal-progress-indicator-item.is-active {
  color: var(--text-color-active);
}

.badge-modal-progress-indicator-divider {
  width: 16px;
  height: 2px;
  background-color: var(--text-color-normal);
}

.badge-modal-progress-indicator-item.is-active,
.badge-modal-progress-indicator-divider.is-active {
  color: var(--text-color-active);
}

.badge-modal-name {
  margin-top: 32px;
  font-size: 20px;
  font-weight: bold;
  text-align: center;
}

.badge-modal-action {
  margin-top: 24px;
  font-size: 16px;
}
